# eric4.QScintilla.Lexers.LexerSQL

Module implementing a SQL lexer with some additional methods.

### Classes

LexerSQL | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerSQL

Subclass to implement some additional lexer dependant methods.

### Derived from

QsciLexerSQL, Lexer

### Methods

LexerSQL | Constructor
initProperties | Public slot to initialize the properties.

#### LexerSQL (Constructor)

LexerSQL(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerSQL.initProperties

initProperties()

Public slot to initialize the properties.

Up